Bug 864807 - Got error when delete ssh keys on Devenv on IE9 and Safari.
Got error when delete ssh keys on Devenv on IE9 and Safari.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: N. Harrison Ripps
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 03:40 EDT by Mengjiao Gao
Modified: 2015-05-14 21:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mengjiao Gao 2012-10-10 03:40:12 EDT
Description of problem:
    After I clicked "delete" button to delete ssh key in /app/account page, I can get the delete confirm box. When I clicked "OK" to confirm, the page will still stay on the delete confirm page, and cannot turn back to my account page.However, the ssh key have been deleted successfully in the fact.
    If I clicked the "ok" button third time , the page will redirected to page said that :"Key <keyname> does not exist."

Version-Release number of selected component (if applicable):
devenv_2303

How reproducible:
always

Steps to Reproduce:
1.Go to /app/account page.
2.Add a ssh key.
3.Click "delete" button to delete the key.
4.Click "OK" to confirm deletion.
5.Click "ok" button again.
6.Repeat step 5.  

Actual results:
After step 4, the page will still stay on the delete confirm page.While the key have been deleted actually.
After step 5, the page will still stay on the delete confirm page.
After step 6, the page will redirect to a error page said that "Key <keyname> does not exist."

Expected results:
After step 4, the key should be deleted successfully, and the page will redirected the /app/account page.

Additional info:
This issue does not exist on product and other browers.
Comment 1 Mengjiao Gao 2012-10-11 04:22:15 EDT
Tested this issue on devenv_2311, found it also exists on Safari,Mac Os.  User need click "ok" or "cancle" button three times to close the delete confirm page.
Comment 2 N. Harrison Ripps 2012-10-19 10:13:05 EDT
Assigned.
Comment 3 N. Harrison Ripps 2012-10-19 15:10:44 EDT
In development mode, we were not explicitly cleaning out redundant JavaScript sources. This caused an unexpected condition in some browsers where the event model was triggered multiple times, once per inclusion of jQuery.

I've updated the devenv.spec file to force a purge of redundant assets; this stops the unexpected behavior.

Fix can be tested in fork_ami_BZ864807_testing_bug_fix_252.
Comment 4 Mengjiao Gao 2012-10-21 22:37:55 EDT
Tested this issue on devenv_2360, the issue have  been fixed now. I can delete the sshkey successfully when I clicked the "OK" button on IE9. Thanks!
Comment 5 Mengjiao Gao 2012-10-21 23:35:18 EDT
Tested this issue on fork_ami_BZ864807_testing_bug_fix_252 , the sshkey can be deleted successfully when clicked "ok" button on IE9, firefox, and Chrome21. Thanks.

Note You need to log in before you can comment on or make changes to this bug.